/**
 * Autogenerated by Thrift Compiler (1.0.0-dev)
 *
 * DO NOT EDIT UNLESS YOU ARE SURE THAT YOU KNOW WHAT YOU ARE DOING
 *  @generated
 */
package jayeson.vodds.service.cms.thrift;


import java.util.Map;
import java.util.HashMap;
import org.apache.thrift.TEnum;

public enum ThriftResultCode implements org.apache.thrift.TEnum {
  SUCCESS(1),
  SUCCESS_PARTIAL(2),
  INSUFFICIENT_FUNDS(3),
  FAILED(4),
  FAILED_TRADE_LIMIT(5),
  OUTSTANDING_AMOUNT_NEGATIVE(6);

  private final int value;

  private ThriftResultCode(int value) {
    this.value = value;
  }

  /**
   * Get the integer value of this enum value, as defined in the Thrift IDL.
   */
  public int getValue() {
    return value;
  }

  /**
   * Find a the enum type by its integer value, as defined in the Thrift IDL.
   * @return null if the value is not found.
   */
  public static ThriftResultCode findByValue(int value) { 
    switch (value) {
      case 1:
        return SUCCESS;
      case 2:
        return SUCCESS_PARTIAL;
      case 3:
        return INSUFFICIENT_FUNDS;
      case 4:
        return FAILED;
      case 5:
        return FAILED_TRADE_LIMIT;
      case 6:
        return OUTSTANDING_AMOUNT_NEGATIVE;
      default:
        return null;
    }
  }
}
